> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get information about the given allocation

> ## Get information about the given allocation ##

<p>
Retrieves information about the given allocation.
</p>

#### Response ####

**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>allocationId</td><td>n</td><td>Integer</td><td>ID of this Allocation.</td>
         </tr>
         <tr>
             <td>allocationName</td><td>n</td><td>String</td><td>Name of the Allocation.</td>
         </tr>
         <tr>
             <td>defaultQuantity</td><td>n</td><td>Integer</td><td>Default quantity for this Allocation.</td>
         </tr>
         <tr>
             <td>startDate</td><td>n</td><td>String</td><td>Start date of this Allocation in format YYYY-MM-DD.</td>
         </tr>
         <tr>
             <td>endDate</td><td>y</td><td>String</td><td>End date of this Allocation in format YYYY-MM-DD.</td>
         </tr>
         <tr>
             <td>blockoutDays</td><td>y</td><td>String</td><td>Days of the week on which this product is not available. Comma-separated list of integers (eg '3,5') where 0 => Sunday, 1=> Monday etc.</td>
         </tr>
         <tr>
             <td>bookingDetailId</td><td>y</td><td>Integer</td><td>ID of the BookingDetail Object for this allocation.</td>
         </tr>
         <tr>
             <td>bookingBuffer</td><td>y</td><td>Integer</td><td>Number of days before booking date that reservations through Website Travel should be disabled.</td>
         </tr>
         <tr>
             <td>productPricesDetailsIds</td><td>n</td><td>String</td><td>Comma-separated listed of IDs for the ProductPricesDetails that this Allocation should apply to.</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json get /{supplierapi}/product/{productId}/allocation/{allocationId}
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/product/{productId}/allocation/{allocationId}:
    get:
      tags:
        - Version 1
        - Booking Details
      summary: Get information about the given allocation
      description: |-
        ## Get information about the given allocation ##

        <p>
        Retrieves information about the given allocation.
        </p>

        #### Response ####

        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>allocationId</td><td>n</td><td>Integer</td><td>ID of this Allocation.</td>
                 </tr>
                 <tr>
                     <td>allocationName</td><td>n</td><td>String</td><td>Name of the Allocation.</td>
                 </tr>
                 <tr>
                     <td>defaultQuantity</td><td>n</td><td>Integer</td><td>Default quantity for this Allocation.</td>
                 </tr>
                 <tr>
                     <td>startDate</td><td>n</td><td>String</td><td>Start date of this Allocation in format YYYY-MM-DD.</td>
                 </tr>
                 <tr>
                     <td>endDate</td><td>y</td><td>String</td><td>End date of this Allocation in format YYYY-MM-DD.</td>
                 </tr>
                 <tr>
                     <td>blockoutDays</td><td>y</td><td>String</td><td>Days of the week on which this product is not available. Comma-separated list of integers (eg '3,5') where 0 => Sunday, 1=> Monday etc.</td>
                 </tr>
                 <tr>
                     <td>bookingDetailId</td><td>y</td><td>Integer</td><td>ID of the BookingDetail Object for this allocation.</td>
                 </tr>
                 <tr>
                     <td>bookingBuffer</td><td>y</td><td>Integer</td><td>Number of days before booking date that reservations through Website Travel should be disabled.</td>
                 </tr>
                 <tr>
                     <td>productPricesDetailsIds</td><td>n</td><td>String</td><td>Comma-separated listed of IDs for the ProductPricesDetails that this Allocation should apply to.</td>
                 </tr>
             </tbody>
         </table>
      operationId: getAvailabilityAllocationAction
      parameters:
        - name: productId
          in: path
          description: The ID of the Product
          required: true
          schema:
            type: integer
        - name: allocationId
          in: path
          description: The ID of the Allocation
          required: true
          schema:
            type: integer
            pattern: \d+
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      responses:
        '200':
          description: Returned when successful.
        '403':
          description: Returned when the user is not authorized.
        '404':
          description: Product or Allocation not found
        '500':
          description: Internal error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.